// 
var PageCounter = {
    id: "PageCounter", //ҳid
    menu: "i18n.lan.menu.io", //˵(һ˵)
    title: "i18n.lan.menu.PageCounter", //⣨˵
    icon: "icon-me-counter", //ͼ
    refreshBtnCmd: "IOS_DUMPS", //ˢ°ťָ
    saveBtn: true, //水ť
    content: "test", //ҳ
    el: [ //ؼ
        {
            elname:"button",
            text:i18n.lan.PageCounter.resetCounter,
            endRow:true,
            attrs:{
                onclick:"PageCounter_ResetCounter()",
                style:"margin-left:900px;padding:0 10px;",
                title:i18n.lan.PageCounter.selectRowOrAll,
            }
        },
        {
            elname: "datagrid",
            rowCount: Device.getNodesCount("di"), //ѡ,
            data: {
                width:"100%",
                frozenColumns: [
                    [{
                        field: "index",
                        title: i18n.lan.common.index,
                        width: "40px",
                        align: "center"
                    }, ]
                ],
                columns: [
                    [{
                            field: "value",
                            dumpKey: "COUNTER<n>STATE",
                            dumpParamIndex: 1,
                            width: 80,
                        }, 
                        {
                            field: "name",
                            editor: Easyui.editor.textbox,
                            dumpKey: "COUNTER<n>NAME",
                            dumpParamIndex: 0,
                            transcode: "true",
                            cmdKey: "COUNTER<n>NAME",
                            otherFields: "unit", //Ĳ
                            width: 100,
                        },
                        {
                            field: "unit",
                            editor: Easyui.editor.textbox,
                            dumpKey: "COUNTER<n>NAME",
                            dumpParamIndex: 1,
                            transcode: "true",
                            id: "counter<n>unit",
                            width: 80,
                        },
                        //ĲʹõDIN                
                        {
                            field: "adjValue",
                            editor: Easyui.editor.numberbox4,
                            dumpKey: "DIN<n>NODE_RANGE1",
                            dumpParamIndex: 3,
                            cmdKey: "DIN<n>ADJ",
                            width: 80,
                        },
                        {
                            field: "scaleValue",
                            editor: Easyui.editor.numberbox4,
                            dumpKey: "DIN<n>NODE_RANGE1",
                            dumpParamIndex: 4,
                            cmdKey: "DIN<n>SCALE",
                            width: 80,
                        },
                        {
                            field: "alarmHighVal",
                            editor: Easyui.editor.numberbox4,
                            dumpKey: "DIN<n>NODE_RANGE1",
                            dumpParamIndex: 0,
                            cmdKey: "DIN<n>HIGH",
                            width: 80,
                        },
                        {
                            field: "resetValue",
                            editor: Easyui.editor.numberbox4,
                            dumpKey: "DIN<n>NODE_CT",
                            dumpParamIndex: 1,
                            cmdKey: "DIN<n>RESET",
                            width: 80,
                        },
                        {
                            field: "stepValue",
                            editor: Easyui.editor.numberbox4,
                            dumpKey: "DIN<n>NODE_RANGE2",
                            dumpParamIndex: 3,
                            cmdKey: "DIN<n>STEP",
                            width: 80,
                        },
                        {
                            field: "uploadTimer",
                            editor: Easyui.editor.numberbox,
                            dumpKey: "DIN<n>NODE_IOTTO",
                            dumpParamIndex: 0,
                            cmdKey: "DIN<n>IOTTO",
                            width: 100,
                        },
                        // {
                        //     field: "logTimer",
                        //     dumpKey: "DIN<n>NODE_IOTTO",
                        //     dumpParamIndex: 1,
                        //     id:"din<n>logto",
                        // },
                        {
                            field: "counter",
                            formatter:Easyui.formatter.checkbox,
                            editor: Easyui.editor.checkbox,
                            dumpKey: "DIN<n>NODE_CT",
                            dumpParamIndex: 0,
                            cmdKey: "DIN<n>COUNTEREN",
                            width: 70,
                            align:"center",
                        },
                        {
                            field: "smsAlarm",
                            formatter:Easyui.formatter.checkbox,
                            editor: Easyui.editor.checkbox,
                            dumpKey: "DIN<n>NODE_PARAM",
                            dumpParamIndex: 0,
                            cmdKey: "DIN<n>SMSEN",
                            width: 70,
                            align:"center",
                        },
                        {
                            field: "recoverSms",
                            formatter:Easyui.formatter.checkbox,
                            editor: Easyui.editor.checkbox,
                            dumpKey: "DIN<n>NODE_PARAM",
                            dumpParamIndex: 2,
                            cmdKey: "DIN<n>SMSREN",
                            width: 70,
                            align:"center",
                        },
                        {//Ͽ
                            field: "disconnSms",
                            formatter:Easyui.formatter.checkbox,
                            editor: Easyui.editor.checkbox,
                            dumpKey: "DIN<n>NODE_PARAM",
                            dumpParamIndex: 3,
                            cmdKey: "DIN<n>SMSDISCONNEN",
                            width: 70,
                            align:"center",
                        },
                        {
                            field: "soundAlarm",
                            formatter:Easyui.formatter.checkbox,
                            editor: Easyui.editor.checkbox,
                            dumpKey: "DIN<n>NODE_PARAM",
                            dumpParamIndex: 1,
                            cmdKey: "DIN<n>SOUNDEN",
                            width: 70,
                            align:"center",
                        },
                    ]
                ],
            }
        },
    ],
}
CmdPage.add(PageCounter); //ӵҳ

//λֵ
function PageCounter_ResetCounter(){
    let row = $("#PageCounter_dg").datagrid("getSelected");
    let cmdKey = "COUNTERRESET";
    if(row){
        sendCmd(cmdKey+row.index);
    }else{
        let cmds = [];
        for(let i=0;i<Device.getNodesCount("di");i++){
            cmds.push(cmdKey+i);
        }
        sendCmds(cmds);
    }
}
