var PageCounterInterlock = {
    id: "PageCounterInterlock", //页面ID
    menu: "i18n.lan.menu.io", //一级菜单名
    title: "i18n.lan.menu.PageCounterInterlock", //二级菜单名(页面标题)
    icon: "icon-me-interlock", //二级菜单图标(页面图标)
    refreshBtnCmd: "IOS_DUMPS", //刷新按钮指令
    saveBtn: true, //保存按钮启用
    content: "", //页面内容(预留)
    el: [ //控件数组
        {
            elname: "datagrid",
            rowCount: Device.getNodesCount("di"), //必选,行数
            data: {
                width: "940px",
                columns: [
                    [ //表格列,field为列标题
                        {
                            field: "index",
                            width: 40,
                            align: "center",
                        },
                        {
                            field: "highInterlock",
                            formatter: Easyui.formatter.combobox,
                            editor: new Easyui.editor.Combobox(Device.getDoItemsKV()),
                            dumpKey: "DIN<n>NODE_OC",
                            dumpParamIndex: 0,
                            cmdKey: "DIN<n>DOHIGH",
                            width: 120,
                        },
                        {
                            field: "highInterlockType",
                            formatter: Easyui.formatter.combobox,
                            editor: new Easyui.editor.Combobox(Device.getDoInterlockTypesKV()),
                            dumpKey: "DIN<n>NODE_OC",
                            dumpParamIndex: 3,
                            cmdKey: "DIN<n>DOALARMTYPE",
                            width: 110,
                        }, //select必须要items              
                        {
                            field: "lowInterlock",
                            formatter: Easyui.formatter.combobox,
                            editor: new Easyui.editor.Combobox(Device.getDoItemsKV()),
                            dumpKey: "DIN<n>NODE_OC",
                            dumpParamIndex: 1,
                            cmdKey: "DIN<n>DOLOW",
                            width: 120,
                        },
                        {
                            field: "lowInterlockType",
                            formatter: Easyui.formatter.combobox,
                            editor: new Easyui.editor.Combobox(Device.getDoInterlockTypesKV()),
                            dumpKey: "DIN<n>NODE_OC",
                            dumpParamIndex: 4,
                            cmdKey: "DIN<n>DORECOVERTYPE",
                            width: 110,
                        },
                        {
                            field: "interlockPulseTime",
                            editor: Easyui.editor.numberbox,
                            dumpKey: "DIN<n>NODE_OC",
                            dumpParamIndex: 2,
                            cmdKey: "DIN<n>DOPULSETO", //没有相应的counter指令
                            dealDumpParam:"parseInt(value)/1000",
                            getValue:"value*1000",
                            width: 120,
                        },
                        {
                            field: "alarmUsercmd",
                            formatter: Easyui.formatter.combobox,
                            editor: new Easyui.editor.Combobox(Device.getUserCmdItemsKV()),
                            dumpKey: "DIN<n>NODE_CMD",
                            dumpParamIndex: 0,
                            cmdKey: "DIN<n>USERCMDALARM",
                            width: 150,
                        },
                        {
                            field: "recoverUsercmd",
                            formatter: Easyui.formatter.combobox,
                            editor: new Easyui.editor.Combobox(Device.getUserCmdItemsKV()),
                            dumpKey: "DIN<n>NODE_CMD",
                            dumpParamIndex: 1,
                            cmdKey: "DIN<n>USERCMDRECOVER",
                            width: 150,
                        },
                    ]
                ],
            }
        },
    ],
}
CmdPage.add(PageCounterInterlock); //添加到页面管理