/*
 * @Author: your name
 * @Date: 2020-08-31 16:54:55
 * @LastEditTime    : 2021-07-12 16:59:56
 * @LastEditors     : lzg
 * @Description: In User Settings Edit
 * @FilePath        : /config/pages/gprs_datasync.js
 */
// GPRS参数同步
var PageGprsDataSync = {
    id: "PageGprsDataSync", //页面id
    menu: "i18n.lan.menu.dataTrans", //所属菜单(一级菜单名)
    title: "i18n.lan.menu.PageGprsDataSync", //标题（二级菜单名）
    parentIcon: "icon-me-gprs", //一级菜单图标
    icon: "icon-me-gprs", //图标
    refreshBtnCmd: "DUMP_CORE", //刷新按钮指令
    saveBtn: true, //保存按钮
    el: [ //控件
        {
            elname: "checkbox",
            label: i18n.lan.PageGprsDataSync.uploadData,
            id: "gprsDataSync_uploadData",
            endRow: true,
            attrs: {
                dumpKey: "SYS_PW_IOT_DATA_ENABLED",
                cmdKey: "POWERUPIOTDATA",
            }
        },
        {
            elname: "checkbox",
            label: i18n.lan.PageGprsDataSync.uploadSetting,
            id: "gprsDataSync_uploadSetting",
            endRow: true,
            attrs: {
                dumpKey: "SYS_PW_IOT_SETTINGS_ENABLED",
                cmdKey: "POWERUPIOTSETTINGS",
            }
        },
        {
            elname: "checkbox",
            label: i18n.lan.PageGprsDataSync.smsIotEnable,
            id: "gprsDataSync_smsIotEnable",
            endRow: true,
            attrs: {
                dumpKey: "SYS_SMS_IOT_ENABLED",
                cmdKey: "SMSIOTENABLE",
            }
        },
        // 状态上报定时器
        {
            elname: "text",
            label: i18n.lan.PageGprsDataSync.uploadStateTimerSec,
            endRow: true,
            attrs: {
                dumpKey: "MQTT_DZSTATUSIOTTO",
                cmdKey: "MQTTDZSTATUSTO",
            }
        },
    ],
}
CmdPage.add(PageGprsDataSync); //添加到页面管理