var PageAinInterlock = {
    id: "PageAinInterlock", //页面ID
    menu: "i18n.lan.menu.ain", //一级菜单名
    title: "i18n.lan.menu.PageAinInterlock", //二级菜单名(页面标题)
    icon: "icon-me-interlock", //二级菜单图标(页面图标)
    refreshBtnCmd: "AIN_DUMPS", //刷新按钮指令
    saveBtn: true, //保存按钮启用
    el: [ //控件数组
        {
            elname: "datagrid",
            rowCount: Device.getNodesCount("ain"),
            data: {
                width: 860,
                frozenColumns: [
                    [{
                        field: 'index',
                        title: i18n.lan.common.index,
                        width: 40,
                        align: "center",
                    }, ]
                ],
                columns: [
                    [{
                            field: "highInterlock",
                            formatter:Easyui.formatter.combobox,
                            editor: new Easyui.editor.Combobox(Device.getDoItemsKV()),
                            dumpKey: "AIN<n>NODE_OC",
                            dumpParamIndex: 0,
                            cmdKey: "AIN<n>DOHIGH",
                            width: 110,
                        },
                        {
                            field: "highInterlockType",
                            formatter:Easyui.formatter.combobox,
                            editor: new Easyui.editor.Combobox(Device.getDoInterlockTypesKV()),
                            dumpKey: "AIN<n>NODE_OC",
                            dumpParamIndex: 3,
                            cmdKey: "AIN<n>DOALARMTYPE"
                        }, //select必须要items              
                        {
                            field: "lowInterlock",
                            formatter:Easyui.formatter.combobox,
                            editor: new Easyui.editor.Combobox(Device.getDoItemsKV()),
                            dumpKey: "AIN<n>NODE_OC",
                            dumpParamIndex: 1,
                            cmdKey: "AIN<n>DOLOW",
                            width:110,
                        },
                        {
                            field: "lowInterlockType",
                            formatter:Easyui.formatter.combobox,
                            editor: new Easyui.editor.Combobox(Device.getDoInterlockTypesKV()),
                            dumpKey: "AIN<n>NODE_OC",
                            dumpParamIndex: 4,
                            cmdKey: "AIN<n>DORECOVERTYPE"
                        },
                        {
                            field: "interlockPulseTime",
                            dumpKey: "AIN<n>NODE_OC",
                            dumpParamIndex: 2,
                            editor: Easyui.editor.numberbox,
                            cmdKey: "AIN<n>DOPULSETO",
                            dealDumpParam:"parseInt(value)/1000",
                            getValue:"value*1000",
                        },
                        {
                            field: "alarmUsercmd",
                            formatter:Easyui.formatter.combobox,
                            editor: new Easyui.editor.Combobox(Device.getUserCmdItemsKV()),
                            dumpKey: "AIN<n>NODE_CMD",
                            dumpParamIndex: 0,
                            cmdKey: "AIN<n>USERCMDALARM"
                        },
                        {
                            field: "recoverUsercmd",
                            formatter:Easyui.formatter.combobox,
                            editor: new Easyui.editor.Combobox(Device.getUserCmdItemsKV()),
                            dumpKey: "AIN<n>NODE_CMD",
                            dumpParamIndex: 1,
                            cmdKey: "AIN<n>USERCMDRECOVER"
                        },
                    ]
                ],
            },
        }
    ]
}
CmdPage.add(PageAinInterlock); //添加到页面管理